# Network medicine strategies for disease module characterization (Estrategias de la medicina de redes para la caracterización de módulos de enfermedad)
This repository contains the data and code generated for the TFG (Trabajo Fin de Grado) 'Estrategias de la medicina de redes para la caracterización de módulos de enfermedad (Network medicine strategies for disease module characterization)' by Antonio Gil Hoed. Tutored by Lucía Prieto Santamaría and cotutored by Alejandro Rodríguez González.
The main objective of this study is to identify which seed disease genes should be included, which parameters contribute to the significance of the disease module and compare different disease module discovery algorithms, being: LCC (Largest Connected Component), DIAMOnD (DIseAse MOdule Detection), DOMINO, ROBUST, TOPAS ( TOP-down Attachment of Seeds).

The Gene-Disease association (GDA) score is obtained from DisGeNET, and it is calculated, as explained in: [GDA score calculation](GDA_score_calculation.pdf)

Below, the graphical abstract of the methodology employed in this research.

![](Figure_summary 1.svg)
![](Figure_summary 2.svg)


# Repositories

## Data
Files containing the Protein-Protein Interactions, the Gene-Protein relationships and the Disease-Gene associations. These data was previously gathered from the platform of the DISNET project.

## Analysis
Jupyter Notebooks employed in this study to create the disease modules filtering by GDA score.

## Figures
Jupyter Notebooks employed in this study to create the figures analysing the obtained disease modules.